<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package Revolution Video Vlog
 */

function revolution_video_vlog_body_classes( $revolution_video_vlog_classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$revolution_video_vlog_classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$revolution_video_vlog_classes[] = 'no-sidebar'; 
	}

	return $revolution_video_vlog_classes;
}
add_filter( 'body_class', 'revolution_video_vlog_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function revolution_video_vlog_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'revolution_video_vlog_pingback_header' );
